com.jscape.inet.sftp.events

## Class SftpAdapter

- java.lang.Object
- - com.jscape.inet.sftp.events.SftpAdapter

- All Implemented Interfaces:
    SftpListener

      public class SftpAdapter
      extends java.lang.Object
      implements SftpListener

  Implements methods for capturing events sourced from Sftp class. Typicaly your application will use this class instead of SftpListener interface to capture the following events :

  `SftpConnectedEvent`
  `SftpDisconnectedEvent`
  `SftpUploadEvent`
  `SftpDownloadEvent`
  `SfpListingEvent`
  `SftpProgressEvent`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SftpAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changeDir(SftpChangeDirEvent event)` Invoked when the remote directory path is changed.
    `void` | `connected(SftpConnectedEvent event)` Invoked when connection to SSH server is established.
    `void` | `createDir(SftpCreateDirEvent event)` Invoked when a directory is created.
    `void` | `deleteDir(SftpDeleteDirEvent event)` Invoked when directory is deleted.
    `void` | `deleteFile(SftpDeleteFileEvent event)` Invoked when a file is deleted.
    `void` | `dirListing(SftpListingEvent event)` Invoked when directory listing is retrieved from SSH server.
    `void` | `disconnected(SftpDisconnectedEvent event)` Invoked when connection to SSH server is released.
    `void` | `download(SftpDownloadEvent event)` Invoked when file is downloaded from SSH server.
    `void` | `progress(SftpProgressEvent event)` Invoked to mark progress of a SSH download or upload operation.
    `void` | `renameFile(SftpRenameFileEvent event)` Invoked when a file is renamed.
    `void` | `upload(SftpUploadEvent event)` Invoked when file is uploaded to SSH server.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SftpAdapter

          public SftpAdapter()

  - ### Method Detail

    - #### connected

          public void connected(SftpConnectedEvent event)

      Invoked when connection to SSH server is established.
      Specified by:
        `connected` in interface `SftpListener`
      Parameters:
        `event` - a `SftpConnectedEvent`
      See Also:
        `SftpConnectedEvent`

    - #### disconnected

          public void disconnected(SftpDisconnectedEvent event)

      Invoked when connection to SSH server is released.
      Specified by:
        `disconnected` in interface `SftpListener`
      Parameters:
        `event` - a `SftpDisconnectedEvent`
      See Also:
        `SftpDisconnectedEvent`

    - #### download

          public void download(SftpDownloadEvent event)

      Invoked when file is downloaded from SSH server.
      Specified by:
        `download` in interface `SftpListener`
      Parameters:
        `event` - a `SftpDownloadEvent`
      See Also:
        `SftpDownloadEvent`

    - #### upload

          public void upload(SftpUploadEvent event)

      Invoked when file is uploaded to SSH server.
      Specified by:
        `upload` in interface `SftpListener`
      Parameters:
        `event` - a `SftpUploadEvent`
      See Also:
        `SftpUploadEvent`

    - #### progress

          public void progress(SftpProgressEvent event)

      Invoked to mark progress of a SSH download or upload operation.
      Specified by:
        `progress` in interface `SftpListener`
      Parameters:
        `event` - a `SftpProgressEvent`
      See Also:
        `SftpProgressEvent`

    - #### dirListing

          public void dirListing(SftpListingEvent event)

      Invoked when directory listing is retrieved from SSH server.
      Specified by:
        `dirListing` in interface `SftpListener`
      Parameters:
        `event` - a `SftpListingEvent`
      See Also:
        `SftpListingEvent`

    - #### deleteDir

          public void deleteDir(SftpDeleteDirEvent event)

      Invoked when directory is deleted.
      Specified by:
        `deleteDir` in interface `SftpListener`
      Parameters:
        `event` - a `SftpDeleteDirEvent`
      See Also:
        `SftpDeleteDirEvent`

    - #### deleteFile

          public void deleteFile(SftpDeleteFileEvent event)

      Invoked when a file is deleted.
      Specified by:
        `deleteFile` in interface `SftpListener`
      Parameters:
        `event` - a `SftpDeleteFileEvent`
      See Also:
        `SftpDeleteFileEvent`

    - #### renameFile

          public void renameFile(SftpRenameFileEvent event)

      Invoked when a file is renamed.
      Specified by:
        `renameFile` in interface `SftpListener`
      Parameters:
        `event` - a `SftpRenameFileEvent`
      See Also:
        `SftpRenameFileEvent`

    - #### createDir

          public void createDir(SftpCreateDirEvent event)

      Invoked when a directory is created.
      Specified by:
        `createDir` in interface `SftpListener`
      Parameters:
        `event` - a `SftpCreateDirEvent`
      See Also:
        `SftpCreateDirEvent`

    - #### changeDir

          public void changeDir(SftpChangeDirEvent event)

      Invoked when the remote directory path is changed.
      Specified by:
        `changeDir` in interface `SftpListener`
      Parameters:
        `event` - a `SftpChangeDirEvent`
      See Also:
        `SftpChangeDirEvent`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved